#include <iostream>
#include <iomanip>
using namespace std;
int main()
{
    int n;
    double a[20000], p[20000];
    double zar,m=0;
    cin>>n;

    //unos

    for(int i=0;i<n;i++)
    cin>>a[i]>>p[i];

    //zarada

    for(int i=0;i<n;i++){
        zar=0;
        for(int j=0;j<n;j++){
            if(p[j]>=p[i])
            zar+=a[j]*p[i]*0.01;
        }
        if(zar>m){
            m=zar;
        }
    }
    cout << fixed << showpoint << setprecision(4)<<m;
    return 0;
}